### Constant

# Soup VERSION_MIN_REQUIRED

#### Declaration

    #define SOUP_VERSION_MIN_REQUIRED 2

#### Description

A macro that should be defined by the user prior to including `libsoup.h`.

The definition should be one of the predefined libsoup version macros: `SOUP_VERSION_2_24`, `SOUP_VERSION_2_26`, …

This macro defines the earliest version of libsoup that the package is required to be able to compile against.

If the compiler is configured to warn about the use of deprecated functions, then using functions that were deprecated in version `SOUP_VERSION_MIN_REQUIRED` or earlier will cause warnings (but using functions deprecated in later releases will not).